Attribute VB_Name = "Module1"
Option Explicit

Private Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hwnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long

'***************************************************************************
' Copy and paste to add new searches
Sub GoogleSearch()
    On Error Resume Next
    Dim mySearch As String
    mySearch = InputBox("Please enter your search terms.", "Google Search", Selection)
    If mySearch = "" Then Exit Sub
    mySearch = "http://www.google.com/search?q=" & mySearch ' Enter the search url here
    ShellExecute 0, vbNullString, mySearch, vbNullString, vbNullString, vbMaximizedFocus
End Sub
'****************************************************************************

Sub ImageSearch()
    On Error Resume Next
    Dim mySearch As String
    mySearch = InputBox("Please enter your search terms.", "Image Search", Selection)
    If mySearch = "" Then Exit Sub
    mySearch = "http://images.google.com/images?q=" & mySearch
    ShellExecute 0, vbNullString, mySearch, vbNullString, vbNullString, vbMaximizedFocus
End Sub

Sub NewsSearch()
    On Error Resume Next
    Dim mySearch As String
    mySearch = InputBox("Please enter your search terms.", "News Search", Selection)
    If mySearch = "" Then Exit Sub
    mySearch = "http://news.google.com/news?ned=au&q=" & mySearch ' change "au" to country of choice
    ShellExecute 0, vbNullString, mySearch, vbNullString, vbNullString, vbMaximizedFocus
End Sub

Sub DictionarySearch()
    On Error Resume Next
    Dim mySearch As String
    mySearch = InputBox("Please enter your search terms.", "Dictionary Search", Selection)
    If mySearch = "" Then Exit Sub
    mySearch = "http://dictionary.reference.com/search?q=" & mySearch
    ShellExecute 0, vbNullString, mySearch, vbNullString, vbNullString, vbMaximizedFocus
End Sub

Sub ThesaurusSearch()
    On Error Resume Next
    Dim mySearch As String
    mySearch = InputBox("Please enter your search terms.", "Thesaurus Search", Selection)
    If mySearch = "" Then Exit Sub
    mySearch = "http://thesaurus.reference.com/search?q=" & mySearch
    ShellExecute 0, vbNullString, mySearch, vbNullString, vbNullString, vbMaximizedFocus
End Sub

Sub WikipediaSearch()
    On Error Resume Next
    Dim mySearch As String
    mySearch = InputBox("Please enter your search terms.", "Wikipedia Search", Selection)
    If mySearch = "" Then Exit Sub
    mySearch = "http://en.wikipedia.org/wiki/" & mySearch
    ShellExecute 0, vbNullString, mySearch, vbNullString, vbNullString, vbMaximizedFocus
End Sub

Sub EncartaMapsSearch()
    On Error Resume Next
    Dim mySearch As String
    mySearch = InputBox("Please enter your search terms.", "Encarta Search", Selection)
    If mySearch = "" Then Exit Sub
    mySearch = "http://encarta.msn.com/encnet/features/MapCenter/Map.aspx?searchTextMap=" & mySearch
    ShellExecute 0, vbNullString, mySearch, vbNullString, vbNullString, vbMaximizedFocus
End Sub



